> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v2 Namespaces Filter

> Show detail info of given namespaces



## OpenAPI

````yaml post /v2/namespaces/filter
openapi: 3.0.0
info:
  contact: {}
  description: >-
    V2 HTTP JSON API for localcopy-surveys stored info
    (namespaces,releases,waves,locations)
  title: localcopy-surveys API
  version: 2.0.0
servers:
  - url: https://api.globalwebindex.com
security: []
paths:
  /v2/namespaces/filter:
    post:
      tags:
        - Namespaces
      summary: v2 Namespaces Filter
      description: Show detail info of given namespaces
      operationId: v2NamespacesFilter
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/localcopysurveyspbv2rest.NamespacesFilterRequest
        description: request for filter
        required: true
      responses:
        '200':
          description: details of found namespaces
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/localcopysurveyspbv2rest.NamespacesFilterResponse
        '403':
          description: forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
        '500':
          description: internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
        default:
          description: some other error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    localcopysurveyspbv2rest.NamespacesFilterRequest:
      properties:
        namespaces:
          description: >-
            Namespace codes to filter namespaces by. Empty request means get all
            namespaces.
          items:
            $ref: '#/components/schemas/localcopysurveyspbv2rest.NamespacesFilter'
          type: array
      type: object
    localcopysurveyspbv2rest.NamespacesFilterResponse:
      properties:
        namespaces:
          description: List of namespaces found using filter criteria.
          items:
            $ref: >-
              #/components/schemas/localcopysurveyspbv2rest.NamespacesFilterResponseItem
          type: array
      type: object
    errors.HTTPError:
      properties:
        code:
          type: integer
        err:
          type: string
        type:
          type: string
      type: object
    localcopysurveyspbv2rest.NamespacesFilter:
      properties:
        code:
          description: Code of the namespace filter (core, gwi-ext, ...).
          type: string
      type: object
    localcopysurveyspbv2rest.NamespacesFilterResponseItem:
      properties:
        code:
          description: Namespace code (core, gwi-ext, ...).
          type: string
        name:
          description: Namespace name (Core, GWI USA, ...).
          type: string
        parent_namespace_code:
          $ref: '#/components/schemas/wrapperspb.StringValue'
        type:
          description: Namespace type (fresh, recontact).
          type: string
      type: object
    wrapperspb.StringValue:
      properties:
        value:
          description: The string value.
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````